package com.coldlightalchemist.interactivitystatesharingexample;

import java.io.File;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.Serializable;
import java.nio.file.Files;

public class InterActivityState implements Serializable {
    private File writeFile;
    private String firstActivityString;
    private int secondActivityInt;

    public InterActivityState(File newWriteFile) {
        writeFile = newWriteFile;
        firstActivityString = "";
        secondActivityInt = 0;
    }

    public String getFirstActivityString() {
        return firstActivityString;
    }

    public int getSecondActivityInt() {
        return secondActivityInt;
    }

    public void setFirstActivityString(String newFirstActivityString) {
        firstActivityString = newFirstActivityString;
    }

    public void setSecondActivityInt(int newSecondActivityInt) {
        secondActivityInt = newSecondActivityInt;
    }

    public void writeToFile() throws IOException {
        boolean fileExists = writeFile.exists();

        PrintWriter writer = new PrintWriter(new FileWriter(writeFile, true));

        if (!fileExists) {
            writer.println(Utilities.makeCSVString(Constants.kCSVHeaders));
        }

        writer.println(Utilities.makeCSVString(firstActivityString, Integer.toString(secondActivityInt)));

        writer.close();
    }
}
