package com.coldlightalchemist.interactivitystatesharingexample;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import java.util.List;
import java.util.Map;

public class StoredDataRecyclerViewAdapter extends RecyclerView.Adapter<StoredDataRecyclerViewAdapter.StoredDataRecyclerViewHolder> {
    private final List<Map<String, String>> data;

    public static class StoredDataRecyclerViewHolder extends RecyclerView.ViewHolder {
        private final TextView rvFirstActivityString;
        private final TextView rvSecondActivityInt;

        public StoredDataRecyclerViewHolder(View itemView) {
            super(itemView);

            rvFirstActivityString = itemView.findViewById(R.id.rvFirstActivityString);
            rvSecondActivityInt = itemView.findViewById(R.id.rvSecondActivityInt);
        }

        public TextView getFirstActivityStringTextView() {
            return rvFirstActivityString;
        }

        public TextView getSecondActivityIntTextView() {
            return rvSecondActivityInt;
        }
    }

    public StoredDataRecyclerViewAdapter(List<Map<String, String>> data) {
        this.data = data;
    }

    @NonNull
    @Override
    public StoredDataRecyclerViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext())
                .inflate(R.layout.stored_data_recycler_view_item, parent, false);

        return new StoredDataRecyclerViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull StoredDataRecyclerViewHolder holder, int position) {
        holder.getFirstActivityStringTextView().setText(
                data.get(position).get(Constants.kCSVHeaders[0])
        );
        holder.getSecondActivityIntTextView().setText(
                data.get(position).get(Constants.kCSVHeaders[1])
        );
    }

    @Override
    public int getItemCount() {
        return data.size();
    }

}
