package com.coldlightalchemist.interactivitystatesharingexample;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class Utilities {
    public static String makeCSVString(String... rowCells) {
        return Arrays.stream(rowCells)
                .map((s) -> "\"" + s + "\"")
                .collect(Collectors.joining(","));
    }

    public static List<Map<String, String>> readFormattedCSV(File toRead) throws IOException {
        if (!toRead.exists()) {
            return null;
        }

        BufferedReader reader = new BufferedReader(new FileReader(toRead));

        return reader.lines()
                .filter((s) -> !s.equals(makeCSVString(Constants.kCSVHeaders)))
                .map((s) -> {
                    String[] spliteration = s.split("\",\"");

                    // TODO: If you were to add columns, this would need to be more dynamic then it is
                    return Map.of(
                            Constants.kCSVHeaders[0], spliteration[0].replace("\"", ""),
                            Constants.kCSVHeaders[1], spliteration[1].replace("\"", "")
                    );
                })
                .collect(Collectors.toList());
    }
}
